Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Mark Brown <[email-masked]>
Date: Fri, 28 Aug 2015 16:45:56 +0100

On Fri, Aug 28, 2015 at 09:40:41AM +0200, Ricard Wanderlof wrote:
> On Fri, 28 Aug 2015, Stephen Rothwell wrote:

> In fact the exact same construct is used by a handful of other codec 
> drivers which apparently don't fail.

> I'm suspecting something slightly more convoluted like a missing #include .

No, the issue is that you have used a different variable name when
declaring the IDs and when referencing them in the module device table.